<!DOCTYPE html>
<html>
<head>
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Ga+Maamli&display=swap" rel="stylesheet">
  <link  th:href="@{/css/style.css}" rel="stylesheet" href="../static/css/style.css">
  <meta charset="UTF-8">
  <title>PasteGin</title>
</head>
<body>

<h1>PasteGin</h1>

<form>
  <label for="textBox"></label>
  <p id="textBox" name="response" th:text="${content}"></p>
</form>
<br>
<div  th:if="${link != null}">
  <h3 id="link" th:text=" 'Link: ' + ${link}"></h3>
  <button id="copy"  onclick="copyLink()">Copy Link</button>
</div>

<script th:inline="javascript">
  function copyLink() {
    /*<![CDATA[*/

    var link = /*[[${link}]]*/ 'default';
    navigator.clipboard.writeText(link);

    /*]]>*/
  }
</script>
</body>
</html>
